FROM openshift/golang-builder:1.12 AS builder
ENV OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=12 OS_GIT_VERSION=4.3.12-202004091734-7b11e34 OS_GIT_TREE_STATE=clean SOURCE_GIT_COMMIT=7b11e34e6d879ae50320b432bd78b262034ac8ff SOURCE_GIT_TAG=nfs-client-provisioner-v2.1.2-k8s1.11-211-g7b11e34e SOURCE_GIT_URL=https://github.com/openshift/external-storage SOURCE_DATE_EPOCH=1552980683 OS_GIT_COMMIT=7b11e34 BUILD_VERSION=v4.3.12 BUILD_RELEASE=202004091734
COPY . /go/src/kubernetes-incubator/external-storage
RUN cd /go/src/kubernetes-incubator/external-storage/aws/efs && \
    go build -o efs-provisioner cmd/efs-provisioner/efs-provisioner.go

FROM openshift/ose-base:v4.3.12.20200409.173425
ENV OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=12 OS_GIT_VERSION=4.3.12-202004091734-7b11e34 OS_GIT_TREE_STATE=clean SOURCE_GIT_COMMIT=7b11e34e6d879ae50320b432bd78b262034ac8ff SOURCE_GIT_TAG=nfs-client-provisioner-v2.1.2-k8s1.11-211-g7b11e34e SOURCE_GIT_URL=https://github.com/openshift/external-storage SOURCE_DATE_EPOCH=1552980683 OS_GIT_COMMIT=7b11e34 BUILD_VERSION=v4.3.12 BUILD_RELEASE=202004091734
COPY --from=builder /go/src/kubernetes-incubator/external-storage/aws/efs/efs-provisioner /usr/bin

ENTRYPOINT ["/usr/bin/efs-provisioner"]

LABEL \
        name="openshift/ose-efs-provisioner" \
        com.redhat.component="efs-provisioner-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        version="v4.3.12" \
        release="202004091734" \
        io.openshift.build.commit.id="7b11e34e6d879ae50320b432bd78b262034ac8ff" \
        io.openshift.build.source-location="https://github.com/openshift/external-storage" \
        io.openshift.build.commit.url="https://github.com/openshift/external-storage/commit/7b11e34e6d879ae50320b432bd78b262034ac8ff"

